/**********************************************************************
 *
 *   FreeDoko a Doppelkopf-Game
 *
 *   Copyright (C) 2001-2006  by Diether Knof and Borg Enders
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *   You can find this license in the file 'gpl.txt'.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 *   MA  02111-1307  USA
 *
 *  Contact:
 *    Diether Knof dknof@gmx.de
 *    Borg Enders  borg@borgsoft.de
 *
 *********************************************************************/

#include "constants.h"

#include "poverty_denied_by_all.h"

/**
 ** constructor
 **
 ** @param	-
 **
 ** @return	-
 **
 ** @author	Diether Knof
 ** 
 ** @version	0.7.1
 **/
GameplayAction::PovertyDeniedByAll::PovertyDeniedByAll() :
 GameplayAction(POVERTY_DENIED_BY_ALL, UINT_MAX)
{
} // PovertyDeniedByAll::PovertyDeniedByAll()

/**
 ** constructor
 **
 ** @param	line	line with the data
 **
 ** @return	action corresponding to the line
 **		(to be freed)
 **
 ** @author	Diether Knof
 ** 
 ** @version	0.7.1
 **/
GameplayAction::PovertyDeniedByAll::PovertyDeniedByAll(string const& line) :
  GameplayAction(POVERTY_DENIED_BY_ALL, UINT_MAX)
{
} // GameplayAction::PovertyDeniedByAll(string line)

/**
 ** copy constructor
 **
 ** @param	poverty_denied_by_all	action to copy
 **
 ** @return	-
 **
 ** @author	Diether Knof
 ** 
 ** @version	0.7.1
 **/
GameplayAction::PovertyDeniedByAll::PovertyDeniedByAll(PovertyDeniedByAll const&
						       poverty_denied_by_all) :
 GameplayAction(poverty_denied_by_all)
{
} // PovertyDeniedByAll::PovertyDeniedByAll(PovertyDeniedByAll poverty_denied_by_all)

/**
 ** copy constructor
 **
 ** @param	poverty_denied_by_all	action to copy
 **
 ** @return	this action
 **
 ** @author	Diether Knof
 ** 
 ** @version	0.7.1
 **/
GameplayAction::PovertyDeniedByAll::PovertyDeniedByAll&
GameplayAction::PovertyDeniedByAll::operator=(PovertyDeniedByAll const& poverty_denied_by_all)
{
  this->GameplayAction::operator=(poverty_denied_by_all);
  return *this;
} // PovertyDeniedByAll& PovertyDeniedByAll::operator=(PovertyDeniedByAll poverty_denied_by_all)

/**
 ** destructor
 **
 ** @param	-
 **
 ** @return	-
 **
 ** @author	Diether Knof
 ** 
 ** @version	0.7.1
 **/
GameplayAction::PovertyDeniedByAll::~PovertyDeniedByAll()
{
} // PovertyDeniedByAll::~PovertyDeniedByAll()

/**
 **
 ** writes the action in the output stream
 **
 ** @param	ostr	output stream
 **
 ** @return	-
 **
 ** @author	Diether Knof
 ** 
 ** @version	0.7.1
 **/
void
GameplayAction::PovertyDeniedByAll::write(ostream& ostr) const
{
  ostr << this->type;
  ostr << " = " << this->player;

  return ;
} // void write(ostream& ostr) const
